@echo off

echo The service parameter for the server port
echo can be set in the file oXygenLicenseServer.vmoptions.
echo Installing oXygenHTTPLicenseServer as an automatic Windows service ...

REM Configure the required users.
cd ..
java -cp lib\jetty-license-server.jar com.oxygenxml.license.server.util.UsersConfiguration
cd "Windows Service"

IF "%1"=="" (
oXygenHTTPLicenseServer.exe /install-auto
) ELSE (
oXygenHTTPLicenseServer.exe /install-auto %*
)

pause